> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price Candles

> Returns price candles for a specific token and/or pool.



## OpenAPI

````yaml post /v1/solana/dex/prices/get-price-candles
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/solana/dex/prices/get-price-candles:
    post:
      tags:
        - Solana DEX
      summary: Get Price Candles
      description: Returns price candles for a specific token and/or pool.
      operationId: getPriceCandles
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - interval
              properties:
                token:
                  description: Token address to filter by.
                  type: string
                pool:
                  description: Pool address to filter by.
                  type: string
                from:
                  description: |
                    Start of the candle range, as a date-time RFC3339 string.
                    Can be combined with `to` to define a bounded range.
                  type: string
                  format: date-time
                to:
                  description: |
                    End of the candle range, as a date-time RFC3339 string. 
                    Defaults to the current time.
                  type: string
                  format: date-time
                count:
                  description: |
                    Number of candles to return.
                    Must be combined with `from` or `to`.
                  type: integer
                interval:
                  description: Sampling interval between data points, in seconds.
                  type: integer
            examples:
              default:
                value:
                  token: Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk
                  interval: 60
                  from: '2026-04-27T00:00:00Z'
                  to: '2026-04-27T01:00:00Z'
      responses:
        '200':
          description: Price candles for the specified token.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolanaDexPriceCandle'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    SolanaDexPriceCandle:
      x-fern-type-name: SolanaDexPriceCandle
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        open:
          type: number
        high:
          type: number
        low:
          type: number
        close:
          type: number
        volume:
          type: number
        count:
          type: integer
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````